### guns/tick_gun

# save offhand gun stats to storage
data modify storage gun gunStats set from entity @s Inventory[{Slot:-106b}].tag.gunStats

# get stats from storage
execute if score .reloadStatsLoaded gunStats matches 0 run function cod:guns/stats/get_reload
execute if score .ammoStatsLoaded gunStats matches 0 run function cod:guns/stats/get_ammo

# set player reload time if ammo clip not full
execute if score @s relRepeat matches 1.. run tellraw @s ["",{"nbt":"gunStats.name","storage":"gun","color":"gray"},{"text":" reloading...","color":"gray"}]
execute if score .ammoClip gunStats >= .relMag gunStats run tellraw @s ["",{"nbt":"gunStats.name","storage":"gun","color":"gray"},{"text":" full ammo","color":"gray"}]
execute if score .ammoClip gunStats < .relMag gunStats if score .ammoReserve gunStats matches ..0 run tellraw @s ["",{"nbt":"gunStats.name","storage":"gun","color":"gray"},{"text":" no reserve ammo","color":"gray"}]
execute if score .ammoClip gunStats < .relMag gunStats if score .ammoReserve gunStats matches 1.. if entity @s[tag=!sprinter,scores={relRepeat=..0}] run function cod:guns/reload/start_reload

# swap offhand and mainhand items
item replace block 0 -64 0 container.0 from entity @s weapon.offhand
item replace entity @s weapon.offhand from entity @s weapon.mainhand
item replace entity @s weapon.mainhand from block 0 -64 0 container.0