### calling from reset map button
#function cod:universal/reset_map

# reset core data
scoreboard objectives remove score
scoreboard players reset *
scoreboard players set .generateMap bookKeeping 100
scoreboard players set .gamemode bookKeeping 0
scoreboard players set .gameRunning bookKeeping 0
scoreboard players set .countdown bookKeeping -1
scoreboard players set .100 constant 100
scoreboard players set .2 constant 2
execute at @s run function cod:universal/random/ran_reset
function cod:gamemodes/coord/map_section_coord
data modify storage coord Pos set value [0.0d,0.0d,0.0d]
function cod:universal/standby

# reset regen
scoreboard players set .regen bookKeeping 1
effect give @a regeneration 1000000 2 true

# reset radar
scoreboard players set .radar bookKeeping 0

# reset friendly fire
scoreboard players set .friendlyFire bookKeeping 0
team modify redTeam friendlyFire false
team modify blueTeam friendlyFire false

# reset prone
scoreboard players set .prone bookKeeping 0
function cod:gamemodes/prone/end_prone

# reset killstreaks
scoreboard players set .streak bookKeeping 0
function cod:gamemodes/streak/setup/end_streak

# reset gametime
bossbar remove gametime
schedule clear cod:gamemodes/timer/run_timer

# remove dead tag
tag @a remove dead

# reset kill confirmed
kill @e[type=item,tag=dogTag]

# reset domination
kill @e[type=!player,tag=domFlag]
schedule clear cod:gamemodes/domination/check_score_dom
scoreboard objectives remove captureTime

# reset capture the flag
kill @e[type=!player,tag=ctfFlag]
tag @a remove hasFlag
schedule clear cod:gamemodes/capture_the_flag/flags/cap_flag/red_capping
schedule clear cod:gamemodes/capture_the_flag/flags/cap_flag/blue_capping

# reset hardpoint
kill @e[type=!player,tag=hpSite]
bossbar remove sitetime
scoreboard objectives remove hardPoint

# reset headquarters
kill @e[type=!player,tag=hqSite]
execute at @e[type=marker,tag=headCenter] run fill ~-0.1 ~ ~-0.1 ~0.1 ~ ~0.1 air
tag @a remove noRespawn
scoreboard objectives remove headQuarters

# reset search and destroy
execute at @e[type=marker,tag=sndSite] run setblock ~ ~ ~ air
kill @e[type=!player,tag=sndSite]
kill @e[type=item,nbt={Item:{id:"minecraft:tripwire_hook"}}]
execute at @e[type=marker,tag=searchCenter] run fill ~-0.1 ~ ~-0.1 ~0.1 ~ ~0.1 air
tag @a remove bomber
tag @a remove planter
tag @a remove defuser
execute as @a run attribute @s generic.movement_speed modifier remove 8-1-0-0-1
execute as @a run attribute @s generic.movement_speed modifier remove 8-1-0-0-2
effect clear @a jump_boost
scoreboard objectives remove snd

# reset one in the chamber
scoreboard objectives remove oic

# reset sticks and stones
scoreboard objectives remove sns

# reset sharpshooter
scoreboard objectives remove ss
execute as @a run attribute @s generic.movement_speed modifier remove 9-4-0-1-1

# reset guns
kill @e[type=item,tag=gunDrop]
kill @e[type=item,tag=equip]
kill @e[type=marker,tag=ray]
tag @a remove gunner
tag @a remove sprinter
tag @a remove dropper
tag @a remove inert
execute as @a run attribute @s generic.movement_speed modifier remove 1-2-5-0-0
execute as @a run attribute @s generic.movement_speed modifier remove 1-4-0-0-0
execute as @a run attribute @s generic.movement_speed modifier remove 1-2-5-0-0
execute as @a run attribute @s generic.movement_speed modifier remove 1-7-8-0-0

# reset teams
team leave @a
tag @a remove spectator

# move players
clear @a
gamemode adventure @a
execute as @a run function cod:gamemodes/teleport/gamemode

# notify players
title @a actionbar {"text":"Map Reset","color":"yellow","bold":true}