### gamemodes/targeted_ah1 advancement

# raycast
scoreboard players set .range streak 100
tag @s add hitter
execute at @s anchored eyes positioned ^ ^ ^ run function cod:gamemodes/streak/run/raycast/raycast
tag @s remove hitter

# link entity id
tag @s add ider
execute as @e[type=!player,tag=ah,tag=new] run function cod:gamemodes/streak/run/ah/init_skel

# tp back to pillager
scoreboard players operation .searchId entityId = @s entityId
execute as @e[tag=tp,tag=ah,predicate=cod:universal/is_search_id] run function cod:gamemodes/streak/run/tp_pill
tag @s remove ider
effect clear @s levitation
effect clear @s resistance

# notify players
execute if entity @s[team=redTeam] run tellraw @a[team=redTeam] {"text":"\nFriendly Cobra Inbound \n","color":"gold"}
execute if entity @s[team=redTeam] run tellraw @a[team=blueTeam] {"text":"\nEnemy Cobra Headed Your Way \n","color":"gold"}
execute if entity @s[team=blueTeam] run tellraw @a[team=blueTeam] {"text":"\nFriendly Cobra Inbound \n","color":"gold"}
execute if entity @s[team=blueTeam] run tellraw @a[team=redTeam] {"text":"\nEnemy Cobra Headed Your Way \n","color":"gold"}

# update tags
tag @s remove targeter
tag @s remove ah

# start run
function cod:gamemodes/streak/run/ah/run_ah

# revoke advancement
recipe take @s cod:gamemodes/streak/ah_tar1
advancement revoke @s only cod:gamemodes/streak/targeted/targeted_ah1